Get a prediction
import requests
url = "https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction"
payload = { "text": "Hello world. How are you doing today?" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"Hello world. How are you doing today?\"\n}")
.asString();const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Hello world. How are you doing today?'})
};
fetch('https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"Hello world. How are you doing today?\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction"
payload := strings.NewReader("{\n \"text\": \"Hello world. How are you doing today?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'Hello world. How are you doing today?'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction \
--header 'Content-Type: application/json' \
--data '
{
"text": "Hello world. How are you doing today?"
}
'{
"score": [
"0.8543054461479187"
],
"label": [
"positive"
],
"_rawJsonResponse": "{\n \"names\": [\"label\", \"score\", \"tokens\", \"attention_weights\"],\n \"ndarray\": [[\"positive\"], [\"0.8543054461479187\"]]\n}"
}Get a prediction
Get a prediction from the specified model.
POST
/
ai
/
ml-models
/
{modelId}
/
prediction
Get a prediction
import requests
url = "https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction"
payload = { "text": "Hello world. How are you doing today?" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"Hello world. How are you doing today?\"\n}")
.asString();const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Hello world. How are you doing today?'})
};
fetch('https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"Hello world. How are you doing today?\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction"
payload := strings.NewReader("{\n \"text\": \"Hello world. How are you doing today?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/ai/ml-models/{modelId}/prediction",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'Hello world. How are you doing today?'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Path Parameters
Body
application/json
The body is of type object.
Response
OK
The response is of type object.
Was this page helpful?
⌘I